Bug 208285 - databases/py-bsddb3: Convert to master port for databases/py3-bsddb3
Summary: databases/py-bsddb3: Convert to master port for databases/py3-bsddb3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-25 11:41 UTC by Ben Woods
Modified: 2016-05-27 23:01 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback? (bofh)


Attachments
Patch to convert databases/py3-bsddb3 to slave port of databases/py-bsddb3 (7.34 KB, patch)
2016-03-25 11:42 UTC, Ben Woods
woodsb02: maintainer-approval? (bofh)
Details | Diff
QA: Successful poudriere testport logs for databases/py3-bsddb3 on FreeBSD 11-current amd64 (32.29 KB, text/plain)
2016-03-25 11:49 UTC, Ben Woods
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-03-25 11:41:02 UTC
* Convert databases/py3-bsddb3 from stand-alone to slave of databases/py-bsddb3
* Prevent databases/py-bsddb3 from clobbering USES from databases/py3-bsddb3
Comment 1 Ben Woods freebsd_committer 2016-03-25 11:42:00 UTC
Created attachment 168613 [details]
Patch to convert databases/py3-bsddb3 to slave port of databases/py-bsddb3
Comment 2 Ben Woods freebsd_committer 2016-03-25 11:49:24 UTC
Created attachment 168615 [details]
QA: Successful poudriere testport logs for databases/py3-bsddb3 on FreeBSD 11-current amd64
Comment 3 Ben Woods freebsd_committer 2016-05-26 14:43:28 UTC
Hi bofh, now that I have my commit bit, I could commit this change if you like?
Regards,
Ben
Comment 4 Muhammad Moinur Rahman freebsd_committer 2016-05-27 18:21:42 UTC
Perfect. Move on.
Comment 5 commit-hook freebsd_committer 2016-05-27 23:01:06 UTC
A commit references this bug:

Author: woodsb02
Date: Fri May 27 23:00:16 UTC 2016
New revision: 415968
URL: https://svnweb.freebsd.org/changeset/ports/415968

Log:
  databases/py-bsddb3: Convert to master port for databases/py3-bsddb3
  - Convert databases/py3-bsddb3 from stand-alone port to slave of databases/py-bsddb3
  - Prevent databases/py-bsddb3 from clobbering USES from databases/py3-bsddb3
  - Convert USE_BDB=yes to USES=bdb in both databases/py-bsddb3 and databases/py3-bsddb3

  PR:		208285
  Reviewed by:	mat (mentor)
  Approved by:	bofh (maintainer), adamw (mentor)
  Differential Revision:	https://reviews.freebsd.org/D6614

Changes:
  head/databases/py-bsddb3/Makefile
  head/databases/py3-bsddb3/Makefile
  head/databases/py3-bsddb3/distinfo
  head/databases/py3-bsddb3/files/
  head/databases/py3-bsddb3/pkg-descr
Comment 6 Ben Woods freebsd_committer 2016-05-27 23:01:49 UTC
Committed. Thanks for the feedback bofh.